# Credit

#### new Cesium.Credit(text, imageUrl, link)
Core/Credit.js 29

  A credit contains data pertaining to how to display attributions/credits for certain content on the screen.

  Name | Type | Description
  --- | --- | ---
  `text` | String | optional The text to be displayed on the screen if no imageUrl is specified.
  `imageUrl` | String | optional The source location for an image
  `link` | String | optional A URL location for which the credit will be hyperlinked

  ##### Example:

      //Create a credit with a tooltip, image and link
      var credit = new Cesium.Credit('Cesium', '/images/cesium_logo.png', 'http://cesiumjs.org/');

### Members

#### readonlyimageUrl : String
Core/Credit.js 83

  The source location for the image.

#### readonlylink : String
Core/Credit.js 95

  A URL location for the credit hyperlink

#### readonlytext : String
Core/Credit.js 71

  The credit text

### Methods

#### staticCesium.Credit.equals(left, right) → Boolean
Core/Credit.js 140

  Returns true if the credits are equal

  Name | Type | Description
  --- | --- | ---
  `left` | Credit | The first credit
  `right` | Credit | The second credit

  ##### Returns:

  `true` if left and right are equal, `false` otherwise.

#### equals(credits) → Boolean
Core/Credit.js 153

  Returns true if the credits are equal

  Name | Type | Description
  --- | --- | ---
  `credits` | Credit | The credit to compare to.

  ##### Returns:

  `true` if left and right are equal, `false` otherwise.

#### hasImage() → Boolean
Core/Credit.js 120

  Returns true if the credit has an imageUrl

  ##### Returns:

#### hasLink() → Boolean
Core/Credit.js 129

  Returns true if the credit has a link

  ##### Returns: